Bug 131364 - WinCairo crashes on acid3 test
Summary: WinCairo crashes on acid3 test
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-08 09:42 PDT by Alex Christensen
Modified: 2014-05-11 00:01 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.01 KB, patch)
2014-05-10 14:37 PDT, peavo
no flags Details | Formatted Diff | Diff
Patch (4.01 KB, patch)
2014-05-10 15:43 PDT, peavo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2014-04-08 09:42:31 PDT
When opening http://acid3.acidtests.org/ in WinCairo's WinLauncher I get a "Frame load interrupted" Error dialog and then it crashes sometimes if you continue.  Does anyone else have this problem?  I think it might be from not cancelling something in the CURL code, but I have no idea what.
Comment 1 peavo 2014-04-08 10:40:17 PDT
(In reply to comment #0)
> When opening http://acid3.acidtests.org/ in WinCairo's WinLauncher I get a "Frame load interrupted" Error dialog and then it crashes sometimes if you continue.  Does anyone else have this problem?  I think it might be from not cancelling something in the CURL code, but I have no idea what.

I've seen this too, on other web sites. Not sure what causes it, though.
Comment 2 peavo 2014-05-10 14:37:03 PDT
Created attachment 231236 [details]
Patch
Comment 3 Brent Fulgham 2014-05-10 15:34:15 PDT
Comment on attachment 231236 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=231236&action=review

Nice work tracking this down! Thank you for all your help. R=me.

> Source/WebCore/platform/network/curl/ResourceHandleManager.cpp:536
> +                String url = job->firstRequest().url().string();

This should be a const reference to avoid making an extra copy.
Comment 4 peavo 2014-05-10 15:43:23 PDT
Created attachment 231242 [details]
Patch
Comment 5 peavo 2014-05-10 15:45:15 PDT
(In reply to comment #3)
> (From update of attachment 231236 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=231236&action=review
> 
> Nice work tracking this down! Thank you for all your help. R=me.
> 

Thanks :)

> > Source/WebCore/platform/network/curl/ResourceHandleManager.cpp:536
> > +                String url = job->firstRequest().url().string();
> 
> This should be a const reference to avoid making an extra copy.

Updated patch.
Comment 6 Brent Fulgham 2014-05-10 23:31:16 PDT
Comment on attachment 231242 [details]
Patch

R=me
Comment 7 WebKit Commit Bot 2014-05-11 00:01:44 PDT
Comment on attachment 231242 [details]
Patch

Clearing flags on attachment: 231242

Committed r168596: <http://trac.webkit.org/changeset/168596>
Comment 8 WebKit Commit Bot 2014-05-11 00:01:49 PDT
All reviewed patches have been landed.  Closing bug.